Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security.authentication
Class BasicAuthenticator

    java.lang.Object
      org.eclipse.jetty.security.authentication.LoginAuthenticator
          org.eclipse.jetty.security.authentication.BasicAuthenticator

All Implemented Interfaces:
  Authenticator

    public class BasicAuthenticator

extends LoginAuthenticator

Version:
  $Rev: 4793 $ $Date: 2009-03-19 00:00:01 +0100 (Thu, 19 Mar 2009) $

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.security.Authenticator
`Authenticator.AuthConfiguration, Authenticator.Factory`

Field Summary

Fields inherited from class org.eclipse.jetty.security.authentication.LoginAuthenticator
`_deferred, _identityService, _loginService, SESSION_SECURED`

Constructor Summary
`BasicAuthenticator()`

Method Summary
`java.lang.String` | `getAuthMethod()`
`boolean` | `secureResponse(ServletRequest req, ServletResponse res, boolean mandatory, Authentication.User validatedUser)`
`Authentication` | `validateRequest(ServletRequest req, ServletResponse res, boolean mandatory)` Validate a response

Methods inherited from class org.eclipse.jetty.security.authentication.LoginAuthenticator
`getLoginService, renewSessionOnAuthentication, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAuthenticator

    public BasicAuthenticator()

Method Detail

### getAuthMethod

    public java.lang.String getAuthMethod()

  Returns:
    The name of the authentication method
  See Also:
    `Authenticator.getAuthMethod()`

### validateRequest

    public Authentication validateRequest(ServletRequest req,
                                          ServletResponse res,
                                          boolean mandatory)
                                   throws ServerAuthException

  Description copied from interface: `Authenticator`
  Validate a response

  Parameters:
    `req` - The request
    `res` - The response
    `mandatory` - True if authentication is mandatory.
  Returns:
    An Authentication. If Authentication is successful, this will be a `Authentication.User`. If a response has been sent by the Authenticator (which can be done for both successful and unsuccessful authentications), then the result will implement `Authentication.ResponseSent`. If Authentication is not manditory, then a `Authentication.Deferred` may be returned.
  Throws:
    `ServerAuthException`
  See Also:
    `Authenticator.validateRequest(javax.servlet.ServletRequest, javax.servlet.ServletResponse, boolean)`

### secureResponse

    public boolean secureResponse(ServletRequest req,
                                  ServletResponse res,
                                  boolean mandatory,
                                  Authentication.User validatedUser)
                           throws ServerAuthException

  Returns:
    true if response is secure
  Throws:
    `ServerAuthException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.